Subject: Re: [BUG] NULL pointer dereference in skb_dequeue

From: Jarek Poplawski <[email-masked]>
Date: Sun, 3 Aug 2008 11:50:36 +0200

On Sun, Aug 03, 2008 at 11:29:26AM +0200, Jarek Poplawski wrote:
...
> After some re-checking one more question: why do you think this
> qdisc_root_lock() is safe as sch_tree_lock() (or anywhere else)? It
> seems, eg. during deactivation it can get root_lock of qdisc_default,
> and proceed with another qdisc?

I've just seen this new patch with ASSERT_RTNL(), so now I understand.

Jarek P.